## org.apache.commons.collections.set
Class TypedSortedSet

    java.lang.Object
      org.apache.commons.collections.set.TypedSortedSet

public class TypedSortedSet
extends Object

Decorates another `SortedSet` to validate that elements added are of a specific type.

The validation of additions is performed via an instanceof test against a specified `Class`. If an object cannot be added to the collection, an IllegalArgumentException is thrown.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/05/07 23:28:38 $
Author:
  Stephen Colebourne, Matthew Hawthorne

Constructor Summary
`protected` `TypedSortedSet()` Restrictive constructor.

Method Summary
`static SortedSet` `decorate(SortedSet set, Class type)` Factory method to create a typed sorted set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedSortedSet

    protected TypedSortedSet()

  Restrictive constructor.

Method Detail

### decorate

    public static SortedSet decorate(SortedSet set,
                                     Class type)

  Factory method to create a typed sorted set.

  If there are any elements already in the set being decorated, they are validated.

  Parameters:
    `set` - the set to decorate, must not be null
    `type` - the type to allow into the collection, must not be null
  Throws:
    `IllegalArgumentException` - if set or type is null
    `IllegalArgumentException` - if the set contains invalid elements

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.